<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>liste des Evenements</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    </head>
    <body>
        <div>
            <table border="1">
                <tr>
                  <th>Id Evenement</th>
                  <th>Intitule</th>
                  <th>Theme</th>
                  <th>Date de Debut</th>
                  <th>Duree</th>
                  <th>Participant Max</th>
                  <th>Description</th>
                  <th>Organisateur</th>
                  <th>Type Evenement</th>
                  <th>Participant(s)</th>
                </tr>

                <tr th:each="evenement : ${allEvenements}">
                    <td th:utext="${evenement.numeven}">Id Evenement</td>
                    <td th:utext="${evenement.intitule}">Intitule</td>
                    <td th:utext="${evenement.theme}">Theme</td>
                    <td th:utext="${evenement.datedebut}">Date de Debut</td>
                    <td th:utext="${evenement.duree}">Duree</td>
                    <td th:utext="${evenement.nbpartmax}">Participant Max</td>
                    <td th:utext="${evenement.description}">Description Max</td>
                    <td th:utext="${evenement.organisateur}">Organisateur</td>
                    <td th:utext="${evenement.typeeven}">Type Evenement</td>
                    <td><span th:each="participant, iterStat : ${evenement.participants}" th:text="!${iterStat.last} ? ${participant.prenom} + ', ': ${participant.prenom}"></span></td>
                </tr>
            </table>
        </div>
        <div>
            <a href='/Accueil.html/supevenement'>Suppression d'Evenement</a><br>
            <a href="/Accueil.html">Retour à l'acceuil</a>
        </div>
    </body>
</html>
